PRINT
    -reset FALSE
    -selected_output false
 PHASES
 Fix_H+
 H+ = H+
 log_k 0.0
SELECTED_OUTPUT 1
 -high_precision true
 -reset false
USER_PUNCH 1
    -headings pH pe TC nmain
    -start
 10 REM Code to output the predominant species for 'ht', 'grid' and 'contour' type calculations
 20 j = 0
 30 REM number of plots and a list of the main species 'elements'
 40 nmain = <nspecies>
 50 DATA <specieslist> # e.g. "Cd", "Zn", "Pb"
 60 IF STEP_NO = 0 THEN 1000
 70 PUNCH -LA("H+"), -LA("e-"), TC, nmain
 80 j = GET(1)
 90 DIM sp$(nmain)
100 FOR imain = 1 TO nmain
110 READ sp$(imain)
120 REM Headings for main species
130 REM Only add headings on first time through
140 IF(j = 0) THEN k = ADD_HEADING(sp$(imain) )
150 NEXT imain
160 IF(j > 0) THEN 180
170 REM add any extra headings here 171...179 (see 340)...
180 FOR imain = 1 TO nmain
190 p$ = "NA"
200 REM add constraints here
210 IF(SI("O2(g)") > -0.677) THEN p$ = "O2(g) > 1 atm" : GOTO 290
220 h2g = SI("H2(g)") : ch4g = SI("CH4(g)")
230 IF(h2g > 0 AND h2g > ch4g) THEN p$ = "H2(g) > 1 atm" : GOTO 290
240 IF(ch4g > 0) THEN p$ = "CH4(g) > 1 atm" : GOTO 290
250 totel = SYS(sp$(imain), n, n$, t$, c)
260 FOR i = 1 TO n
270 p$ = n$(i) : IF(INSTR(p$, "(g)") > 0) THEN 280 ELSE 290
280 NEXT i
290 PUNCH p$
300 PRINT "Predominant species = ", p$
310 NEXT imain
320 REM Prevent extra headings being output on every visit
330 PUT(1, 1)
340 REM Add any extra variables to be output here, 341...999 (see 170) ...
1000 REM
