20000 REM insertion sort with index (after Numerical Recipes)
20010 REM input: 
20020 REM   ns$() is a character array of length ns to be sorted
20030 REM   indx() should start with an array of length at least ns
20040 REM output:
20050 REM   ns$() is sorted
20060 REM   indx() contains sorted sequence        
20070 REM
20090
20100 REM set indices to 1, 2, ... ns
20110 FOR js = 1 TO ns
20120    indx(js) = js
20130 NEXT js
20140
20150 IF(ns < 2) THEN GOTO 20280
20160 FOR js = 2 TO ns
20170    as$ = ns$(js)
20180    bs = indx(js)
20190    FOR is = js-1 TO 1 STEP -1
20200       IF(ns$(is) <= as$) THEN 20250
20210       ns$(is+1) = ns$(is)
20220       indx(is+1) = indx(is)
20230    NEXT is
20240    is = 0
20250    ns$(is+1) = as$
20260    indx(is+1) = bs
20270 NEXT js
20280 RETURN