SOLUTION_MASTER_SPECIES
  Perchlorate Perchlorate- 0 35 35

SOLUTION_SPECIES
  Perchlorate- = Perchlorate-
  log_k 0

# turn off redox reactions
#N2  secondary master species
        2 NO3- + 12 H+ + 10 e- = N2 + 6 H2O
        log_k           -99

#NH4 secondary master species 127
        NO3- + 10H+ + 8e- = NH4+ + 3H2O
        log_k           -99

PHASES
  Fixed_H+
    H+ = H+
    log_k 0

SOLUTION 1
  -units mol/kgw
  pe   10
  pH   10                                                  # start from this pH
  <cation>   <mu>
  <anion>    <mu> charge

SELECTED_OUTPUT
  -reset FALSE
  -pH TRUE
  -selected_out FALSE                                      # do not want this output sent

USER_PUNCH
  -headings TOTH
  10 TOTH = mol("H+") + mol("Hfo_wOH2+") + mol("Hfo_sOH2+") \
            - mol("OH-") - mol("Hfo_wO-") - mol("Hfo_sO-")
  30 PUNCH  TOTH*1e3

SURFACE 1
  Hfo_w   <Hfo_w> 600. <mass>
  Hfo_s   <Hfo_s>
  -equil 1

SAVE surface 1
SAVE solution 2

END



USE surface 1
USE solution 2

SELECTED_OUTPUT
  -selected_out TRUE                                       # turn on SELECTED_OUTPUT

REACTION
  <acid> <Macid>                                           # assuming <Macid>M acid
  H20  55.56
  <mol> in 1000 steps
END